<script>
import ElarStat2ndComp from "./ElarStat2ndComp.vue";
import ElarStattimeSlider from "./ElarStatTimeSlider.vue";
export default {
  setup() {

  },
  name: "Main",
  components: {
    ElarStat2ndComp: ElarStat2ndComp,
    ElarStattimeSlider: ElarStattimeSlider,
  },
  data() {
    return {
      selectedService: null,
      selectedComponent: null,
      title: null,
      service2Choose: {
        Paritetici: {
          title: "Servizio contributo paritetici",
          A42: 35,
        },
        Rendite: {
          title: "Rendite",
          A42: 11,
        },
        AssegniFamiliari: {
          title: "Assegni Familiari",
          A42: 55,
        },
      },
      components2create: [
        {
         component:"ElarStattimeSlider",
         compParam: {
            divId: "div1",
            url_request_path: "/nbr_prat_per_date_and_da_spec",
            column4trace_title: "Z_2BEZ",
            plotly_title: "Numero di Pratiche per processo",
            plotly_type: "line",
            column_key: "A43",
            x_column: "MY_DATE",
            y_column: "NBR_QUERIES",
          },
        },
        {component: "ElarStat2ndComp",
          compParam:{
            divId: "div2",
            url_request_path: "/nbr_op_per_coll_and_da_spec_param_date",
            column4trace_title: "Z_2BEZ",
            plotly_title: "Numero di operazione per processo e collaboratore",
            plotly_type: "bar",
            column_key: "A43",
            x_column: "B_NAME",
            y_column: "NBR_QUERIES",
          }},
          {component:"ElarStat2ndComp",
          compParam:{
            divId: "div3",
            url_request_path: "/nbr_op_per_da_spec_and_doc_type_param_date",
            column4trace_title: "Z_2BEZ",
            plotly_title: "Numero di operazione per processo e tipo di documento",
            plotly_type: "bar",
            column_key: "A43",
            x_column: "DOC_TYPE",
            y_column: "NBR_QUERIES",
          }
        }
        ]
    };
  },
  methods: {
    loadComponent(event) {
      console.log("2---language=", event.target.value);
      let language = event.target.value;
      this.title = this.service2Choose[language].title;
      this.selectedComponent = event.target.value;
    },
    showService(event) {
      console.log("2---service=", event.target.value);
      console.log("-----selected service = ", this.selectedService);
    },
  },
};
</script>
<template>
  <div id="app">
    <v-app>
      <v-app-bar app>
        <h3>Servizio contributi paritetici</h3>
        <label for="services">Choose a Service</label>
        <select id="services" v-on:change="showService" v-model="selectedService">
          <option v-for="service in Object.keys(service2Choose)">          
            {{ service }}
          </option>
        </select>
      </v-app-bar>
      <v-main>       
        <v-container v-if="selectedService"  >
          <v-row v-for="item in components2create">
            <v-col>              
              <component
                v-bind:is="item.component"
                v-bind:title="item.compParam.plotly_title"
                v-bind:A42="service2Choose[selectedService].A42"
                v-bind:compParam="item.compParam"
              ></component>             
            </v-col>
          </v-row>
        </v-container> 
      </v-main>
    </v-app>
  </div>
</template>
